CALIBRE-SERVER(1)

NAME
calibre-server - calibre-server

            calibre-server [options] [path to library folder...]

Démarre le Serveur de contenu calibre. Le Serveur de contenu calibre expose vos bibliothèques calibre sur internet. Vous pouvez spécifier le chemin vers les dossier de bibliothèque comme argument à calibre-server. Si vous ne spécifiez aucun chemin, toutes les bibliothèques connues par calibre seront utilisées.

Chaque fois que vous passez à calibre-server des arguments comportant des espaces, entourez l’argument à l’aide de guillemets. Par exemple: "/some path/with spaces"

[OPTIONS]

    --access-log
        Chemin vers le fichier journal d'accès. Ce journal contient des informations au sujet des clients se connectant au serveur et faisant des requêtes. Par défaut aucun accès connecté n'est fini.

    --ajax-timeout
        Délai d’attente d'une réponse du serveur (en secondes) lors d'une requête.

    --auth-mode
        Choisir le type d'authentification utilisé. Paramétrer le mode d'authentification HTTP utilisé par le serveur. Paramétrer à "basic" si vous mettez le serveur derrière un proxy SSL. Autrement, laisser à "auto", lequel utilisera "basic" si SSL est configuré sinon il utilisera "digest".

    --auto-reload
        Recharge automatiquement le serveur lors de changements du code source. Utile pour le développement. Vous devriez aussi spécifier une valeur basse pour la temporisation d'arrêt.

    --ban-after
        Nombre d'échecs de connexion pour bannir. Le nombre d'échecs de connexion après lesquels une adresse IP est bannie

    --ban-for
        Bannir l'adresse IP qui a des échecs répétés de connexion. Bannir temporairement l'accès aux adresses IP qui ont des échecs répétés de connexion pour le nombre spécifié de minutes. Utile pour empêcher des tentatives sur des mots de passe invités. Si défini à zéro, aucun bannissement n'est effectué.

    --book-list-mode
        Choisir le mode liste de livres par défaut. Définir le mode liste de livres par défaut qui sera utilisé pour les nouveaux utilisateurs. Chaque utilisateur peut remplacer la valeur par défaut dans ses propres paramètres. La valeur par défaut est d'utiliser une grille de couverture.

    --compress-min-size
        Taille minimale pour laquelle les réponses utilisent la compression de données (en bytes).

    --custom-list-template
        Chemin vers un fichier JSON contenant un modèle pour le mode modèle de liste de livres. La manière la plus simple de créer un tel modèle est d'aller dans Préférences->Partager sur le net->Modèle de liste de livres, créer un modèle et l'exporter.

    --daemonize
        Exécute le processus en tâche de fond comme un daemon (Linux uniquement)

    --displayed-fields
        Restreindre l'affichage des champs définis par l'utilisateur. Liste de champs de métadonnées définis par l'utilisateur séparée par des virgules qui seront montrés par le Serveur de contenu dans les affichages /opds et /mobile. Si vous spécifiez cette option, tous les champs qui ne sont pas dans cette liste ne seront pas affichés. Par exemple : my_rating,my_tags

    --enable-allow-socket-preallocation, --disable-allow-socket-preallocation
        Pré-allocation d'un socket, par exemple, avec activation du socket systemd. Par défaut, cette option est activée.

    --enable-auth, --disable-auth
        Authentification basée sur un mot de passe pour accéder au serveur. Normalement, le serveur est sans restriction, permettant à n'importe qui d'y accéder. Vous pouvez restreindre l'accès à des utilisateurs prédéfinis avec cette option. Par défaut, cette option est désactivée.

    --enable-fallback-to-detected-interface, --disable-fallback-to-detected-interface
        Retour à l'auto-détection de l'interface. Si pour une raison quelconque le serveur est incapable de se lier à l'interface dans l'option listen_on, alors il essayera de détecter une interface qui se connecte avec le monde extérieur et se liera à celle-là. Par défaut, cette option est activée.

    --enable-local-write, --disable-local-write
        Autoriser les connexions locales non authentifiées à apporter des modifications. Normalement, si vous n'activez pas l'authentification, le serveur fonctionne en mode lecture seule afin d’empêcher les utilisateurs anonymes d'apporter des modifications à vos bibliothèques calibre. Cette option permet aux utilisateurs se connectant à partir de l'ordinateur où le serveur s'exécute d'effectuer des modifications. Ceci permet d'exécuter le serveur sans authentification tout en utilisant calibredb pour apporter des modifications à vos bibliothèques calibre. Notez que l'activation de cette option signifie que tout programme exécuté sur l'ordinateur peut modifier vos bibliothèques calibre. Le navigateur Firefox, en particulier, autorise également les autres sites web à le faire. Par défaut, cette option est désactivée.

    --enable-log-not-found, --disable-log-not-found
        Enregistrer les requêtes HTTP 404 (Not Found). Normallement, le serveur inscrit toutes les requêtes HTTP pour les ressources qui ne sont pas trouvées. Ceci peut occasionné des inscriptions indésirables, si votre serveur est ciblé par des robots, Utiliser cette option pour l'arrêter. Par défaut, cette option est activée.

    --enable-use-bonjour, --disable-use-bonjour
        Annoncer les flux OPDS via BonJour. Annoncer les flux OPDS via le service BonJour, faisant que les applications de lecture basées OPDS puissent détecter et se connecter automatiquement au serveur. Par défaut, cette option est activée.

    --enable-use-sendfile, --disable-use-sendfile
        Zéro copie de fichiers de transfert pour augmenter la performance. Ceci utilisera zero-copy dans les transferts in-kernel lors de l'envoi de fichiers sur le réseau, augmentant les performances. Cependant, il peut causer la corruption de transferts de fichiers sur certains systèmes de fichier endommagés. Si vous faites l'expérience de transferts de fichiers corrompus, désactivez-le. Par défaut, cette option est activée.

    --help, -h
        affiche ce message d'aide et quitte

    --ignored-fields
        Champs de métadonnées définis par l'utilisateur ignorés. Liste de champs de métadonnées définis par l'utilisateur séparés par des virgules qui ne seront pas montrés par le Serveur de contenu dans les affichages /opds et /mobile. Par exemple : my_rating,my_tags

    --listen-on
        L'interface sur laquelle écouter pour les connexions. Le comportement par défaut est d'écouter sur toutes les interfaces IPv6 et IPv4 disponibles. Vous pouvez changer cela en, par exemple, "127.0.0.1" pour écouter uniquement des connections IPv4 à partir de la machine locale, ou en "0.0.0.0" pour toutes les connexions IPv4 entrantes.

    --log
        Chemin vers le fichier journal pour le journal du serveur. Ce journal contient les informations et les erreurs serveur, pas les journaux d'accès. Il est écrit par défaut sur stdout.

    --manage-users
        Gérer la base de données des utilisateurs autorisés à se connecter à ce serveur. Vous pouvez l'utiliser en mode automatique en ajoutant un --. Voir calibre-server --manage-users -- help pour plus de détails. Voir aussi l'option --userdb.

    --max-header-line-size
        Taille max. d'une seule en-tête HTTP (en KB).

    --max-job-time
        Temps maximum pour les processus de travail. Quantité maximale de temps que les processus de travail sont autorisés à s'exécuter (en minutes). Régler à zéro pour aucune limite.

    --max-jobs
        Nombre maximum de processus de travail. Les processus de travail sont lancés en cas d'utilité et utilisés pour de volumineux travaux comme préparer un livre à la visualisation, ajouter des livres, convertir, etc. Normalement, le nombre maximal de tels processus est basé sur le nombre de cœurs du CPU. Vous pouvez le contrôler par ce réglage.

    --max-log-size
        Taille max. du fichier journal (en MB). La taille maximale des fichiers journaux, générés par le serveur. Quand le journal devient plus grand que cette taille, il est automatiquement remplacé. Régler à zéro pour désactiver la rotation de journal.

    --max-opds-items
        Nombre maximum de livres dans les flux OPDS. Le nombre maximum de livres que serveur renverra dans un seul flux d'acquisition OPDS.

    --max-opds-ungrouped-items
        Le nombre maximum d'éléments dégroupés dans les flux OPDS. Groupe les éléments en catégories telles que auteur/étiquettes à l’aide de la première lettre quand il y a plus que ce nombre d’articles. Réglez à zéro pour désactiver.

    --max-request-body-size
        Taille max. allouée pour les fichiers téléchargés sur le serveur (en MB).

    --num-per-page
        Nombre de livres à afficher sur une seule page. Le nombre de livres à afficher sur une seule page dans le navigateur.

    --pidfile
        Écrire le PID du processus dans le fichier spécifié

    --port
        Le port sur lequel écouter pour les connexions.

    --search-the-net-urls
        Chemin d'accès à un fichier JSON contenant les URL de la fonction "Rechercher sur Internet". La façon la plus simple de créer un tel fichier est d'aller dans Préférences-> Partager sur le net->Rechercher sur Internet dans calibre, créer les URLs et les exporter.

    --shutdown-timeout
        Temps total en secondes à attendre pour un arrêt approprié.

    --ssl-certfile
        Chemin vers le fichier de certificat SSL.

    --ssl-keyfile
        Chemin vers le fichier de clé privée SSL.

    --timeout
        Temps (en secondes) après lequel une connexion inactive est fermée.

    --trusted-ips
        Autoriser les connexions non authentifiées à partir d'adresses IP spécifiques pour effectuer des modifications. Normalement, si vous n'activez pas l'authentification, le serveur fonctionne en mode lecture seule, afin de ne pas permettre à des utilisateurs anonymes d'apporter des modifications à vos bibliothèques calibre. Cette option permet à toute personne se connectant à partir des adresses IP spécifiées d'effectuer des modifications. Il doit s'agir d'une liste d'adresses ou de spécifications de réseau séparées par des virgules. Cette option est utile si vous voulez faire fonctionner le serveur sans authentification mais que vous utilisez tout de même calibredb pour modifier vos bibliothèques de calibre. Notez que l'activation de cette option signifie que toute personne se connectant à partir des adresses IP spécifiées peut apporter des modifications à vos bibliothèques calibre.

    --url-prefix
        Un préfixe à ajouter à toutes les URLs. Utile si vous souhaitez exécuter ce serveur derrière un proxy inversé. Par exemple, utilisez /calibre comme préfixe d'URL.

    --userdb
        Chemin vers la base de données utilisateur à utiliser pour l'authentification. La base de données est un fichier SQLite. Pour le créer utilisez --manage-users. Vous pouvez en lire plus à propos de la gestion des utilisateurs sur : <https://manual.calibre-ebook.com/fr/server.html#managing-user-accounts-from-the-command-line-only>

    --version
        affiche le numéro de version du logiciel et quitte

    --worker-count
        Nombre de processus de travail utilisés pour effectuer les requêtes.

Author
Kovid Goyal

Copyright
Kovid Goyal